# MySQL maticmarket Update 2.01 -> 2.02

# alter the tables
ALTER TABLE bt_critique RENAME nuke_maticmarket_comments;
ALTER TABLE bt_promo RENAME nuke_maticmarket_promos;
ALTER TABLE bt_users RENAME nuke_maticmarket_users;
ALTER TABLE buyers RENAME nuke_maticmarket_buyers;
ALTER TABLE cartitems RENAME nuke_maticmarket_cartitems;
ALTER TABLE category RENAME nuke_maticmarket_subcats;
ALTER TABLE catprinc RENAME nuke_maticmarket_maincats;
ALTER TABLE items RENAME nuke_maticmarket_items;
ALTER TABLE orders RENAME nuke_maticmarket_orders;
ALTER TABLE receipts RENAME nuke_maticmarket_receipts;

# alter the fields for table nuke_maticmarket_comment
ALTER TABLE nuke_maticmarket_comments CHANGE critique_id CommentID INT(5)  NOT NULL AUTO_INCREMENT;
ALTER TABLE nuke_maticmarket_comments CHANGE produit_id ProductID INT(5)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_comments CHANGE critique_text CommentText TEXT NOT NULL;
ALTER TABLE nuke_maticmarket_comments CHANGE critique_vote CommentEval INT(1);
ALTER TABLE nuke_maticmarket_comments CHANGE critique_nom CommentName TEXT NOT NULL;
ALTER TABLE nuke_maticmarket_comments CHANGE critique_date CommentDate INT(8)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_comments CHANGE critique_vu CommentViews INT(9)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_comments CHANGE produit_nom ProductName TEXT NOT NULL;

# alter the fields for table nuke_maticmarket_promos
ALTER TABLE nuke_maticmarket_promos CHANGE promo_id PromoID INT(5)  NOT NULL AUTO_INCREMENT;
ALTER TABLE nuke_maticmarket_promos CHANGE produit_id ProductID INT(5)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_promos CHANGE ancien_prix OldPrice INT(20)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_promos CHANGE nouveau_prix NewPrice INT(20)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_promos CHANGE superpromo SuperPromo INT(1)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_promos CHANGE petit_txt PromoText VARCHAR(50);
ALTER TABLE nuke_maticmarket_promos CHANGE auto AutoEnd INT(1)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_promos CHANGE debut_date StartDate INT(8)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_promos CHANGE debut_fin EndDate INT(8)  DEFAULT "99999999" NOT NULL;
ALTER TABLE nuke_maticmarket_promos CHANGE fin_ok EndOkay INT(1)  DEFAULT "1" NOT NULL;

# alter the fields for table nuke_maticmarket_users
ALTER TABLE nuke_maticmarket_users CHANGE User User VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_users CHANGE Date Date INT(4)  DEFAULT "0" NOT NULL;

# alter the fields for table nuke_maticmarket_buyers
ALTER TABLE nuke_maticmarket_buyers CHANGE Name Name VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE Address1 Address1 VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE Address2 Address2 VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE City City VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE State State CHAR(2)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE Zip Zip VARCHAR(20)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE Email Email VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE DayPhone DayPhone VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE EvePhone EvePhone VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE Contact Contact INT(1)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE PayMethod PayMethod VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE CCType CCType VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE CCNum CCNum VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE CCExpire CCExpire VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE OrderTotal OrderTotal DECIMAL(8,2)  DEFAULT "0.00" NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE Date Date VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE OrderNumber OrderNum BIGINT(20)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE UserID UserID VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_buyers CHANGE BuyerID BuyerID BIGINT(20)  NOT NULL AUTO_INCREMENT;

# alter the fields for table nuke_maticmarket_cartitems
ALTER TABLE nuke_maticmarket_cartitems CHANGE UserID UserID VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_cartitems CHANGE ItemID ItemID VARCHAR(25)  NOT NULL;
ALTER TABLE nuke_maticmarket_cartitems CHANGE ItemQuantity ItemQuantity INT(4)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_cartitems CHANGE Date Date VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_cartitems CHANGE CartItemsID CartItemsID BIGINT(20)  NOT NULL AUTO_INCREMENT;

# alter the fields for table nuke_maticmarket_subcats
ALTER TABLE nuke_maticmarket_subcats CHANGE catprinc MainCat BIGINT(20)  DEFAULT "1" NOT NULL;
ALTER TABLE nuke_maticmarket_subcats CHANGE Category SubCat VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_subcats CHANGE CategoryID SubCatID BIGINT(20)  NOT NULL AUTO_INCREMENT;

# alter the fields for table nuke_maticmarket_maincats
ALTER TABLE nuke_maticmarket_maincats CHANGE catprinc MainCat VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_maincats CHANGE catprincID MainCatID BIGINT(20)  NOT NULL AUTO_INCREMENT;

# alter the fields for table nuke_maticmarket_items
ALTER TABLE nuke_maticmarket_items CHANGE ItemSKU ItemOrderNum VARCHAR(25)  NOT NULL;
ALTER TABLE nuke_maticmarket_items CHANGE ItemName ItemName VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_items CHANGE ItemDescription ItemDescription MEDIUMTEXT NOT NULL;
ALTER TABLE nuke_maticmarket_items CHANGE ItemCost ItemCost DECIMAL(7,2)  DEFAULT "0.00" NOT NULL;
ALTER TABLE nuke_maticmarket_items CHANGE Category SubCat BIGINT(20)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_items CHANGE ShippingCost ShippingCost DECIMAL(6,2)  DEFAULT "0.00" NOT NULL;
ALTER TABLE nuke_maticmarket_items CHANGE dateajout Date INT(8)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_items CHANGE ItemID ItemID BIGINT(20)  NOT NULL AUTO_INCREMENT;
ALTER TABLE nuke_maticmarket_items CHANGE produit_vu ProductViews INT(9)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_items CHANGE promo Promo INT(1)  DEFAULT "0" NOT NULL;

# alter the fields for table nuke_maticmarket_receipts
ALTER TABLE nuke_maticmarket_receipts CHANGE BuyerID BuyerID BIGINT(20)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE UserID UserID VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE OrderNumber OrderNum BIGINT(20)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE Date Date VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE ItemID ItemID BIGINT(20)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE ItemSKU ItemOrderNum VARCHAR(25)  NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE ItemName ItemName VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE ItemCost ItemCost DECIMAL(7,2)  DEFAULT "0.00" NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE ShippingCost ShippingCost DECIMAL(6,2)  DEFAULT "0.00" NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE ItemQuantity ItemQuantity INT(11)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE TotalCost TotalCost DECIMAL(8,2)  DEFAULT "0.00" NOT NULL;
ALTER TABLE nuke_maticmarket_receipts CHANGE itemtaxe ItemTax TEXT NOT NULL;

# alter the fields for table nuke_maticmarket_orders
ALTER TABLE nuke_maticmarket_orders CHANGE BuyerID BuyerID BIGINT(20)  DEFAULT "0" NOT NULL;
ALTER TABLE nuke_maticmarket_orders CHANGE UserID UserID VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_orders CHANGE Date Date VARCHAR(100)  NOT NULL;
ALTER TABLE nuke_maticmarket_orders CHANGE OrderTotal OrderTotal DECIMAL(8,2)  DEFAULT "0.00" NOT NULL;
ALTER TABLE nuke_maticmarket_orders CHANGE OrderNumber OrderNum BIGINT(20)  NOT NULL AUTO_INCREMENT;

# -from original 2.1 LaBoutique to maticmarket-------------------------------
#
# Structure de la table 'boutique_devises'
#
#
#CREATE TABLE boutique_devises (
#   cles int(4) NOT NULL auto_increment,
#   dev_nom VARCHAR(20) NOT NULL,
#   dev_g VARCHAR(10) NOT NULL,
#   dev_d VARCHAR(10) NOT NULL,
#   dev_act INT(1) DEFAULT '0' NOT NULL,
#   dev_maitre INT(1) DEFAULT '0' NOT NULL,   
#   dev_taux longtext NOT NULL,
#   dev_infos longtext NOT NULL,  
#   PRIMARY KEY (cles)
#);
#
# Contenu de la table 'boutique_devises'
#
#
#INSERT INTO boutique_devises VALUES('1', 'Franc', '', 'Frs', '1', '1', '1', 'Le franc francais');
#INSERT INTO boutique_devises VALUES('2', 'Euro', '', 'EUR', '1', '0', '0.15', 'euro pour Europe');
#INSERT INTO boutique_devises VALUES('3', 'dollar', '$', 'USD', '1', '0', '0.12', 'Le dollar pour les usa');

# now add the new table nuke_maticmarket_currencies
CREATE TABLE nuke_maticmarket_currencies (
  counter int(4) NOT NULL auto_increment,
  currency_name varchar(20) NOT NULL DEFAULT '' ,
  currency_sign varchar(10) NOT NULL DEFAULT '' ,
  currency_abbreviation varchar(10) NOT NULL DEFAULT '' ,
  currency_active int(1) NOT NULL DEFAULT '0' ,
  currency_master int(1) NOT NULL DEFAULT '0' ,
  currency_rates longtext NOT NULL DEFAULT '' ,
  currency_info longtext NOT NULL DEFAULT '' ,
  PRIMARY KEY (counter)
);

INSERT INTO nuke_maticmarket_currencies VALUES("1","Franc","","FRS","1","1","1","Le franc francais");
INSERT INTO nuke_maticmarket_currencies VALUES("2","Euro","","EUR","1","0","0.15","The Euro for Europe");
INSERT INTO nuke_maticmarket_currencies VALUES("3","Dollar","$","USD","1","0","0.12","The Dollar for USA");
INSERT INTO nuke_maticmarket_currencies VALUES("4","Deutsche Mark","","DM","1","0","0.10","Die DM fr Deutschland")
# end