# MySQL-Front Dump 1.22
#
# Host: Big Database: mickeymaus_db
#--------------------------------------------------------
# Server version 3.23.39-max-nt


#
# Table structure for table 'nuke_maticmarket_buyers'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_buyers (
  Name varchar(100) NOT NULL DEFAULT '' ,
  Address1 varchar(100) NOT NULL DEFAULT '' ,
  Address2 varchar(100) NOT NULL DEFAULT '' ,
  City varchar(100) NOT NULL DEFAULT '' ,
  State char(2) NOT NULL DEFAULT '' ,
  Zip varchar(20) NOT NULL DEFAULT '' ,
  Email varchar(100) NOT NULL DEFAULT '' ,
  DayPhone varchar(100) NOT NULL DEFAULT '' ,
  EvePhone varchar(100) NOT NULL DEFAULT '' ,
  Contact int(1) NOT NULL DEFAULT '0' ,
  PayMethod varchar(100) NOT NULL DEFAULT '' ,
  CCType varchar(100) NOT NULL DEFAULT '' ,
  CCNum varchar(100) NOT NULL DEFAULT '' ,
  CCExpire varchar(100) NOT NULL DEFAULT '' ,
  OrderTotal decimal(8,2) NOT NULL DEFAULT '0.00' ,
  Date varchar(100) NOT NULL DEFAULT '' ,
  OrderNum bigint(20) NOT NULL DEFAULT '0' ,
  UserID varchar(100) NOT NULL DEFAULT '' ,
  BuyerID bigint(20) NOT NULL auto_increment,
  PRIMARY KEY (BuyerID)
);



#
# Dumping data for table 'nuke_maticmarket_buyers'
#


#
# Table structure for table 'nuke_maticmarket_cartitems'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_cartitems (
  UserID varchar(100) NOT NULL DEFAULT '' ,
  ItemID varchar(25) NOT NULL DEFAULT '' ,
  ItemQuantity int(4) NOT NULL DEFAULT '0' ,
  Date varchar(100) NOT NULL DEFAULT '' ,
  CartItemsID bigint(20) NOT NULL auto_increment,
  PRIMARY KEY (CartItemsID)
);



#
# Dumping data for table 'nuke_maticmarket_cartitems'
#


#
# Table structure for table 'nuke_maticmarket_comments'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_comments (
  CommentID int(5) NOT NULL auto_increment,
  ProductID int(5) NOT NULL DEFAULT '0' ,
  CommentText text NOT NULL DEFAULT '' ,
  CommentEval int(1) ,
  CommentName text NOT NULL DEFAULT '' ,
  CommentDate int(8) NOT NULL DEFAULT '0' ,
  CommentViews int(9) NOT NULL DEFAULT '0' ,
  ProductName text NOT NULL DEFAULT '' ,
  PRIMARY KEY (CommentID)
);



#
# Dumping data for table 'nuke_maticmarket_comments'
#


#
# Table structure for table 'nuke_maticmarket_currencies'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_currencies (
  counter int(4) NOT NULL auto_increment,
  currency_name varchar(20) NOT NULL DEFAULT '' ,
  currency_sign varchar(10) NOT NULL DEFAULT '' ,
  currency_abbreviation varchar(10) NOT NULL DEFAULT '' ,
  currency_active int(1) NOT NULL DEFAULT '0' ,
  currency_master int(1) NOT NULL DEFAULT '0' ,
  currency_rates longtext NOT NULL DEFAULT '' ,
  currency_info longtext NOT NULL DEFAULT '' ,
  PRIMARY KEY (counter)
);



#
# Dumping data for table 'nuke_maticmarket_currencies'
#
INSERT INTO nuke_maticmarket_currencies VALUES("1","Franc","","FRS","1","0","0.29816","Le franc francais");
INSERT INTO nuke_maticmarket_currencies VALUES("2","Euro","","EUR","1","0","0.51129","The Euro for Europe");
INSERT INTO nuke_maticmarket_currencies VALUES("3","Dollar","$","USD","1","0","0.45955","The Dollar for USA");
INSERT INTO nuke_maticmarket_currencies VALUES("4","Deutsche Mark","","DM","1","1","1","Die DM fr Deutschland");


#
# Table structure for table 'nuke_maticmarket_items'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_items (
  ItemOrderNum varchar(25) NOT NULL DEFAULT '' ,
  ItemName varchar(100) NOT NULL DEFAULT '' ,
  ItemDescription mediumtext NOT NULL DEFAULT '' ,
  ItemCost decimal(7,2) NOT NULL DEFAULT '0.00' ,
  SubCat bigint(20) NOT NULL DEFAULT '0' ,
  ShippingCost decimal(6,2) NOT NULL DEFAULT '0.00' ,
  Date int(8) NOT NULL DEFAULT '0' ,
  ItemID bigint(20) NOT NULL auto_increment,
  ProductViews int(9) NOT NULL DEFAULT '0' ,
  Promo int(1) NOT NULL DEFAULT '0' ,
  PRIMARY KEY (ItemID)
);



#
# Dumping data for table 'nuke_maticmarket_items'
#
INSERT INTO nuke_maticmarket_items VALUES("FF-002","Hamburger","Hamburger (normal, without Cheese)","5.00","3","2.00","20011020","1","0","0");
INSERT INTO nuke_maticmarket_items VALUES("FF-001","Cheeseburger","Cheeseburger (Hamburger with some Cheese)","6.00","3","2.00","20011020","2","0","0");
INSERT INTO nuke_maticmarket_items VALUES("FF-003","Chillyburger","Hot ! Chillyburger ... it really rocks!","7.00","3","2.00","20011020","3","0","0");
INSERT INTO nuke_maticmarket_items VALUES("PIZ-001","Pizza Salami","Pizza Salami, without all - only pizza and salami!","9.00","1","4.00","20011020","4","0","0");
INSERT INTO nuke_maticmarket_items VALUES("PIZ-002","Pizza Complete","Pizza complete ... a Pizza with all you can think about !","11.00","1","4.00","20011020","5","0","0");
INSERT INTO nuke_maticmarket_items VALUES("FR-001","Banana","one banana - really yellow!","2.00","2","1.00","20011020","6","0","0");
INSERT INTO nuke_maticmarket_items VALUES("FR-002","Cherry","a Cherry (small and fine)","1.50","2","1.00","20011020","7","0","0");
INSERT INTO nuke_maticmarket_items VALUES("FR-003","Apple","A very good apple! Full of vitamins. Have a look at the picture.","3.50","2","1.00","20011020","8","0","0");


#
# Table structure for table 'nuke_maticmarket_maincats'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_maincats (
  MainCat varchar(100) NOT NULL DEFAULT '' ,
  MainCatID bigint(20) NOT NULL auto_increment,
  PRIMARY KEY (MainCatID)
);



#
# Dumping data for table 'nuke_maticmarket_maincats'
#
INSERT INTO nuke_maticmarket_maincats VALUES("Others","2");
INSERT INTO nuke_maticmarket_maincats VALUES("Fastfood","1");


#
# Table structure for table 'nuke_maticmarket_orders'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_orders (
  BuyerID bigint(20) NOT NULL DEFAULT '0' ,
  UserID varchar(100) NOT NULL DEFAULT '' ,
  Date varchar(100) NOT NULL DEFAULT '' ,
  OrderTotal decimal(8,2) NOT NULL DEFAULT '0.00' ,
  OrderNum bigint(20) NOT NULL auto_increment,
  PRIMARY KEY (OrderNum)
);



#
# Dumping data for table 'nuke_maticmarket_orders'
#


#
# Table structure for table 'nuke_maticmarket_promos'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_promos (
  PromoID int(5) NOT NULL auto_increment,
  ProductID int(5) NOT NULL DEFAULT '0' ,
  OldPrice int(20) NOT NULL DEFAULT '0' ,
  NewPrice int(20) NOT NULL DEFAULT '0' ,
  SuperPromo int(1) NOT NULL DEFAULT '0' ,
  PromoText varchar(50) ,
  AutoEnd int(1) NOT NULL DEFAULT '0' ,
  StartDate int(8) NOT NULL DEFAULT '0' ,
  EndDate int(8) NOT NULL DEFAULT '99999999' ,
  EndOkay int(1) NOT NULL DEFAULT '1' ,
  PRIMARY KEY (PromoID)
);



#
# Dumping data for table 'nuke_maticmarket_promos'
#


#
# Table structure for table 'nuke_maticmarket_receipts'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_receipts (
  BuyerID bigint(20) NOT NULL DEFAULT '0' ,
  UserID varchar(100) NOT NULL DEFAULT '' ,
  OrderNum bigint(20) NOT NULL DEFAULT '0' ,
  Date varchar(100) NOT NULL DEFAULT '' ,
  ItemID bigint(20) NOT NULL DEFAULT '0' ,
  ItemOrderNum varchar(25) NOT NULL DEFAULT '' ,
  ItemName varchar(100) NOT NULL DEFAULT '' ,
  ItemCost decimal(7,2) NOT NULL DEFAULT '0.00' ,
  ShippingCost decimal(6,2) NOT NULL DEFAULT '0.00' ,
  ItemQuantity int(11) NOT NULL DEFAULT '0' ,
  TotalCost decimal(8,2) NOT NULL DEFAULT '0.00' ,
  ItemTax text NOT NULL DEFAULT '' 
);



#
# Dumping data for table 'nuke_maticmarket_receipts'
#


#
# Table structure for table 'nuke_maticmarket_subcats'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_subcats (
  MainCat bigint(20) NOT NULL DEFAULT '1' ,
  SubCat varchar(100) NOT NULL DEFAULT '' ,
  SubCatID bigint(20) NOT NULL auto_increment,
  PRIMARY KEY (SubCatID)
);



#
# Dumping data for table 'nuke_maticmarket_subcats'
#
INSERT INTO nuke_maticmarket_subcats VALUES("1","Pizza","1");
INSERT INTO nuke_maticmarket_subcats VALUES("2","Fruits","2");
INSERT INTO nuke_maticmarket_subcats VALUES("1","Burger","3");


#
# Table structure for table 'nuke_maticmarket_users'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ nuke_maticmarket_users (
  User varchar(100) NOT NULL DEFAULT '' ,
  Date int(4) NOT NULL DEFAULT '0' 
);



#
# Dumping data for table 'nuke_maticmarket_users'
#
